/* lib/clixon/clixon.h.  Generated from clixon.h.in by configure.  */
/*
 *
  ***** BEGIN LICENSE BLOCK *****
 
  Copyright (C) 2009-2016 Olof Hagsand and Benny Holmgren
  Copyright (C) 2017-2019 Olof Hagsand
  Copyright (C) 2020-2022 Olof Hagsand and Rubicon Communications, LLC(Netgate)

  This file is part of CLIXON.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  Alternatively, the contents of this file may be used under the terms of
  the GNU General Public License Version 3 or later (the "GPL"),
  in which case the provisions of the GPL are applicable instead
  of those above. If you wish to allow use of your version of this file only
  under the terms of the GPL, and not to allow others to
  use your version of this file under the terms of Apache License version 2, 
  indicate your decision by deleting the provisions above and replace them with
  the  notice and other provisions required by the GPL. If you do not delete
  the provisions above, a recipient may use your version of this file under
  the terms of any one of the Apache License version 2 or the GPL.

  ***** END LICENSE BLOCK *****

 * NOTE: clixon.h is a GENERATED FILE and should not be edited. 
 * clixon.h.in is the original
 *
 * Meta-include file that includes all sub-files in control-lib
 * Note: this include files is for external purposes. Do not include this
 * file in clicon lib-routines.
 */


#ifdef __cplusplus
extern "C" {
#endif

/* This include file requires the following include file dependencies */
#include <stdio.h>
#include <stdint.h>
#include <dirent.h>
#include <sys/socket.h>
#include <net/if.h>
#include <netinet/in.h>
#include <sys/time.h> /* gettimeofday */
#include <sys/types.h>
#include <sys/param.h> /* MAXPATHLEN */

/*
 * CLIXON version macros, set in configure and resolved when expanding to 
 * clixon.h
 */
#define CLIXON_VERSION_STRING "7.0.1"
#define CLIXON_VERSION_MAJOR 7
#define CLIXON_VERSION_MINOR 0
#define CLIXON_VERSION_PATCH 1

#include <clixon/clixon_sig.h>
#include <clixon/clixon_uid.h>
#include <clixon/clixon_queue.h>
#include <clixon/clixon_hash.h>
#include <clixon/clixon_handle.h>
#include <clixon/clixon_yang.h>
#include <clixon/clixon_xml.h>
#include <clixon/clixon_err.h>
#include <clixon/clixon_log.h>
#include <clixon/clixon_debug.h>
#include <clixon/clixon_netns.h>
#include <clixon/clixon_yang_type.h>
#include <clixon/clixon_event.h>
#include <clixon/clixon_string.h>
#include <clixon/clixon_proc.h>
#include <clixon/clixon_file.h>
#include <clixon/clixon_xml_sort.h>
#include <clixon/clixon_yang_parse_lib.h>
#include <clixon/clixon_yang_module.h>
#include <clixon/clixon_yang_schema_mount.h>
#include <clixon/clixon_netconf_monitoring.h>
#include <clixon/clixon_stream.h>
#include <clixon/clixon_proto.h>
#include <clixon/clixon_netconf_lib.h>
#include <clixon/clixon_netconf_input.h>
#include <clixon/clixon_proto_client.h>
#include <clixon/clixon_plugin.h>
#include <clixon/clixon_options.h>
#include <clixon/clixon_data.h>
#include <clixon/clixon_regex.h>
#include <clixon/clixon_path.h>
#include <clixon/clixon_xml_default.h>
#include <clixon/clixon_xml_map.h>
#include <clixon/clixon_xml_bind.h>
#include <clixon/clixon_xml_io.h>
#include <clixon/clixon_validate_minmax.h>
#include <clixon/clixon_validate.h>
#include <clixon/clixon_datastore.h>
#include <clixon/clixon_xpath_ctx.h>
#include <clixon/clixon_xpath.h>
#include <clixon/clixon_xpath_optimize.h>
#include <clixon/clixon_xpath_yang.h>
#include <clixon/clixon_json.h>
#include <clixon/clixon_text_syntax.h>
#include <clixon/clixon_nacm.h>
#include <clixon/clixon_xml_changelog.h>
#include <clixon/clixon_xml_nsctx.h>
#include <clixon/clixon_xml_vec.h>
#include <clixon/clixon_client.h>
#include <clixon/clixon_dispatcher.h>

/*
 * Global variables generated by Makefile
 */
extern const char CLIXON_BUILDSTR[];
extern const char CLIXON_VERSION[];

#ifdef __cplusplus
} /* extern "C" */
#endif

